aboutsummaryrefslogtreecommitdiffstats
path: root/main/busybox/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-04-11 13:28:15 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-04-11 13:28:55 +0000
commite98cb2ec784b7acff61af77af0afb78caf4c8f44 (patch)
tree87c4653fc20139abcb34ba22954e79ac73785b1f /main/busybox/APKBUILD
parent4dd8e64d4145769235f8f2bc29cfb3aa2f5861d8 (diff)
downloadaports-e98cb2ec784b7acff61af77af0afb78caf4c8f44.tar.gz
aports-e98cb2ec784b7acff61af77af0afb78caf4c8f44.tar.bz2
aports-e98cb2ec784b7acff61af77af0afb78caf4c8f44.tar.xz
main/busybox: ship new bbsuid with this package
new bbsuid creates symlinks like busybox from the busybox trigger script. fixes #527
Diffstat (limited to 'main/busybox/APKBUILD')
-rw-r--r--main/busybox/APKBUILD14
1 files changed, 12 insertions, 2 deletions
diff --git a/main/busybox/APKBUILD b/main/busybox/APKBUILD
index 3b3de26ffd..086c7c0622 100644
--- a/main/busybox/APKBUILD
+++ b/main/busybox/APKBUILD
@@ -1,7 +1,8 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=busybox
pkgver=1.18.4
-pkgrel=1
+pkgrel=2
+_bbsuidver=0.6
pkgdesc="Size optimized toolbox of many common UNIX utilities"
url=http://busybox.net
arch="all"
@@ -11,12 +12,14 @@ install="$pkgname.post-install $pkgname.post-upgrade"
subpackages="$pkgname-static"
triggers="busybox.trigger:/bin /usr/bin /sbin /usr/sbin /lib/modules/*"
source="http://busybox.net/downloads/$pkgname-$pkgver.tar.bz2
+ http://git.alpinelinux.org/cgit/bbsuid.git/snapshot/bbsuid-$_bbsuidver.tar.bz2
$pkgname-1.11.1-bb.patch
busybox-uname-is-not-gnu.patch
loginutils-sha512.patch
busyboxconfig"
_builddir="$srcdir"/$pkgname-$pkgver
+_bbsuid="$srcdir"/bbsuid-$_bbsuidver
_config="$srcdir"/busyboxconfig
prepare() {
cd "$_builddir"
@@ -36,6 +39,9 @@ prepare() {
}
build() {
+ cd "$_bbsuid"
+ make || return 1
+
cd "$_builddir"
msg "Building static busybox"
sed -e "s/.*CONFIG_PIE.*/\# CONFIG_PIE is not set/" \
@@ -53,6 +59,9 @@ build() {
}
package() {
+ cd "$_bbsuid"
+ make install DESTDIR="$pkgdir" || return 1
+
cd "$_builddir"
mkdir -p "$pkgdir"/usr/sbin "$pkgdir"/usr/bin "$pkgdir"/tmp \
"$pkgdir"/var/cache/misc "$pkgdir"/bin "$pkgdir"/sbin
@@ -63,7 +72,7 @@ package() {
}
static() {
- triggers=
+ triggers=
mkdir -p "$subpkgdir"/bin
install -m755 "$_builddir"/busybox.static \
"$subpkgdir"/bin/busybox.static
@@ -71,6 +80,7 @@ static() {
}
md5sums="b03c5b46ced732679e525a920a1a62f5 busybox-1.18.4.tar.bz2
+968b3a058db04f95e9c4cdb44d7d3ddb bbsuid-0.6.tar.bz2
4c0f3b486eaa0674961b7ddcd0c60a9b busybox-1.11.1-bb.patch
b5375210f13fd6e1ca61a565e8fabd35 busybox-uname-is-not-gnu.patch
d21d70d590e9e04bfc65ecb23b9d1617 loginutils-sha512.patch